Debugging utilities

## Functions

BGAV_PUBLIC void | bgav_dump (bgav_t *bgav)
| Dump informations of all tracks to stderr.
BGAV_PUBLIC void | bgav_codecs_dump (void)
| Dump informations about all available codecs to stderr.
BGAV_PUBLIC void | bgav_formats_dump (void)
| Dump informations about all available format demuxers to stderr.
BGAV_PUBLIC void | bgav_inputs_dump (void)
| Dump informations about all available input modules to stderr.
BGAV_PUBLIC void | bgav_redirectors_dump (void)
| Dump informations about all available redirectors to stderr.
BGAV_PUBLIC void | bgav_subreaders_dump (void)
| Dump informations about all available subtitle readers to stderr.

## Detailed Description

## Function Documentation

## bgav_dump()

BGAV_PUBLIC void bgav_dump | ( | bgav_t * | bgav | ) |

Dump informations of all tracks to stderr.

Parameters

  bgav | A decoder handle

## bgav_codecs_dump()

BGAV_PUBLIC void bgav_codecs_dump | ( | void |  | ) |

Dump informations about all available codecs to stderr.

The output format is html. The main purpose of this function is to generate a feature list for the webpage.

## bgav_formats_dump()

BGAV_PUBLIC void bgav_formats_dump | ( | void |  | ) |

Dump informations about all available format demuxers to stderr.

The output format is html. The main purpose of this function is to generate a feature list for the webpage.

## bgav_inputs_dump()

BGAV_PUBLIC void bgav_inputs_dump | ( | void |  | ) |

Dump informations about all available input modules to stderr.

The output format is html. The main purpose of this function is to generate a feature list for the webpage.

## bgav_redirectors_dump()

BGAV_PUBLIC void bgav_redirectors_dump | ( | void |  | ) |

Dump informations about all available redirectors to stderr.

The output format is html. The main purpose of this function is to generate a feature list for the webpage.

## bgav_subreaders_dump()

BGAV_PUBLIC void bgav_subreaders_dump | ( | void |  | ) |

Dump informations about all available subtitle readers to stderr.

The output format is html. The main purpose of this function is to generate a feature list for the webpage.